Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.query
Class QueryResult

    java.lang.Object
      net.sf.saxon.query.QueryResult

    public class QueryResult

extends Object

This utility class takes the result sequence produced by a query, and wraps it as an XML document. The class is never instantiated.

Field Summary
`static String` | `RESULT_NS`

Method Summary
`static void` | `sendWrappedSequence(SequenceIterator iterator, Receiver destination)` Take a sequence supplied in the form of an iterator and generate a wrapped represention of the items in the sequence, the wrapped representation being a sequence of events sent to a supplied Receiver.
`static void` | `serialize(NodeInfo node, Result destination, Properties outputProperties)` Serialize a document containing wrapped query results (or any other document, in fact) as XML.
`static void` | `serialize(NodeInfo node, Result destination, Properties outputProperties, Configuration config)` Deprecated. since 8.9; use `serialize(NodeInfo, Result, Properties)` instead.
`static void` | `serializeSequence(SequenceIterator results, Configuration config, OutputStream destination, Properties outputProps)` Serialize an arbitrary sequence, without any special wrapping.
`static void` | `serializeSequence(SequenceIterator results, Configuration config, PrintWriter writer, Properties outputProps)` Serialize an arbitrary sequence, without any special wrapping.
`static DocumentInfo` | `wrap(SequenceIterator iterator, Configuration config)` Take the results of a query (or any other SequenceIterator) and create an XML document containing copies of all items in the sequence, suitably wrapped

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULT_NS

    public static String RESULT_NS

Method Detail

### wrap

    public static DocumentInfo wrap(SequenceIterator iterator,
                                    Configuration config)
                             throws XPathException

  Take the results of a query (or any other SequenceIterator) and create an XML document containing copies of all items in the sequence, suitably wrapped

  Parameters:
    `iterator` - The values to be wrapped
    `config` - The Saxon configuration used to evaluate the query
  Returns:
    the document containing the wrapped results
  Throws:
    `XPathException`

### sendWrappedSequence

    public static void sendWrappedSequence(SequenceIterator iterator,
                                           Receiver destination)
                                    throws XPathException

  Take a sequence supplied in the form of an iterator and generate a wrapped represention of the items in the sequence, the wrapped representation being a sequence of events sent to a supplied Receiver.

  Parameters:
    `iterator` - the input sequence
    `destination` - the Receiver to accept the wrapped output
  Throws:
    `XPathException`

### serialize

    public static void serialize(NodeInfo node,
                                 Result destination,
                                 Properties outputProperties,
                                 Configuration config)
                          throws XPathException

  Deprecated. since 8.9; use `serialize(NodeInfo, Result, Properties)` instead.

  Serialize a document containing wrapped query results (or any other document, in fact) as XML.

  Parameters:
    `node` - The document or element to be serialized
    `destination` - The Result object to contain the serialized form
    `outputProperties` - Serialization options
    `config` - The Configuration. This argument is ignored
  Throws:
    `XPathException` - If serialization fails

### serialize

    public static void serialize(NodeInfo node,
                                 Result destination,
                                 Properties outputProperties)
                          throws XPathException

  Serialize a document containing wrapped query results (or any other document, in fact) as XML.

  Parameters:
    `node` - The document or element to be serialized
    `destination` - The Result object to contain the serialized form
    `outputProperties` - Serialization options
  Throws:
    `XPathException` - If serialization fails

### serializeSequence

    public static void serializeSequence(SequenceIterator results,
                                         Configuration config,
                                         OutputStream destination,
                                         Properties outputProps)
                                  throws XPathException

  Serialize an arbitrary sequence, without any special wrapping.

  Parameters:
    `results` - the sequence to be serialized
    `config` - the configuration (gives access to information such as the NamePool)
    `destination` - the output stream to which the output is to be written
    `outputProps` - a set of serialization properties as defined in JAXP
  Throws:
    `XPathException` - if any failure occurs

### serializeSequence

    public static void serializeSequence(SequenceIterator results,
                                         Configuration config,
                                         PrintWriter writer,
                                         Properties outputProps)
                                  throws XPathException

  Serialize an arbitrary sequence, without any special wrapping.

  Parameters:
    `results` - the sequence to be serialized
    `config` - the configuration (gives access to information such as the NamePool)
    `writer` - the writer to which the output is to be written
    `outputProps` - a set of serialization properties as defined in JAXP
  Throws:
    `XPathException` - if any failure occurs

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.